Skip to main content
GET
/
whatsapp
/
phone_numbers
/
{phone_number}
/
conversation_window
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.whatsapp.phoneNumbers.retrieveConversationWindow('phone_number');

console.log(response.data);
{
  "data": {
    "window_active": true,
    "window_expires_at": "2026-06-30T16:00:00Z",
    "last_user_message_at": "2026-06-29T15:53:00Z",
    "window_type": "24h"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone_number
string
required

Phone number (E.164 format)

Query Parameters

destination_number
string
required

Destination phone number in E.164 format

Example:

"+353894650851"

Response

Successful response with Whatsapp conversation window status

data
object